IDEA Maven 项目默认编译项目为JDK 1.5

  1. 云栖社区>
  2. 博客>
  3. 正文

IDEA Maven 项目默认编译项目为JDK 1.5

养码青年 2019-01-15 19:49:15 浏览1424
展开阅读全文

昨天晚上遇到一个问题,我在idea中创建了有个maven项目,想使用jdk1.8的lambda表达式,结果提示我错误,是1.8才可以。当时我想我的jdk就是1.8啊。经过各种搜索,才知道maven默认编译项目是jdk1.5

问题重现

解决问题

我这里直接使用在maven中指定编译版本

在pom文件中,增加如下代码

<properties>
        <jdkVersion>1.8</jdkVersion>
</properties>
<build>
    <plugins>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-compiler-plugin</artifactId>
            <version>3.1</version>
            <configuration>
                <source>${jdkVersion}</source>
                <target>${jdkVersion}</target>
            </configuration>
        </plugin>
    </plugins>
</build>

或者如下

<properties>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
</properties>

然后,更新下maven,就可以了!

好了,玩的开心!

网友评论

登录后评论
0/500
评论